Bug 1293466 - pcp requires pcp-compat pulling in a lot of unneeded pcp-pmda-* packages
pcp requires pcp-compat pulling in a lot of unneeded pcp-pmda-* packages
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcp (Show other bugs)
7.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Nathan Scott
Miloš Prchlík
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 14:48 EST by Karl Hastings
Modified: 2016-11-04 00:22 EDT (History)
11 users (show)

See Also:
Fixed In Version: pcp-3.11.2-4.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-04 00:22:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karl Hastings 2015-12-21 14:48:33 EST
Description of problem:
The new pcp-3.10.6 rpm in RHEL7.2 requires pcp-compat which is a dependency rpm that specifically says "This is not a package that should be depended on".

Version-Release number of selected component (if applicable):
pcp-3.10.6-2.el7

How reproducible:
100%

Steps to Reproduce:
1. yum install pcp

Actual results:
yum tries to install a whole lot of pcp-pmda-*, such as pcp-pmda-sendmail

Expected results:
pcp should not require pcp-compat.  Customers should be able to choose which pmda modules they want, or yum install pcp-compat to get them all.

Additional info:
[root@test /]# yum install pcp
Loaded plugins: changelog, langpacks, product-id, search-disabled-repos, subscription-manager, verify, versionlock
Resolving Dependencies
--> Running transaction check
---> Package pcp.x86_64 0:3.10.6-2.el7 will be installed
--> Processing Dependency: python-pcp = 3.10.6-2.el7 for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-libs = 3.10.6-2.el7 for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-compat for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: libpcp_trace.so.2(PCP_TRACE_2.0)(64bit) for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: libpcp_pmda.so.3(PCP_PMDA_3.4)(64bit) for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: libpcp_pmda.so.3(PCP_PMDA_3.1)(64bit) for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: libpcp_pmda.so.3(PCP_PMDA_3.0)(64bit) for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: libpcp_gui.so.2(PCP_GUI_2.0)(64bit) for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: libpcp.so.3(PCP_3.9)(64bit) for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: libpcp.so.3(PCP_3.8)(64bit) for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: libpcp.so.3(PCP_3.7)(64bit) for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: libpcp.so.3(PCP_3.6)(64bit) for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: libpcp.so.3(PCP_3.5)(64bit) for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: libpcp.so.3(PCP_3.4)(64bit) for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: libpcp.so.3(PCP_3.3)(64bit) for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: libpcp.so.3(PCP_3.2)(64bit) for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: libpcp.so.3(PCP_3.11)(64bit) for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: libpcp.so.3(PCP_3.10)(64bit) for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: libpcp.so.3(PCP_3.0)(64bit) for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: libpcp_trace.so.2()(64bit) for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: libpcp_pmda.so.3()(64bit) for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: libpcp_mmv.so.1()(64bit) for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: libpcp_gui.so.2()(64bit) for package: pcp-3.10.6-2.el7.x86_64
--> Processing Dependency: libpcp.so.3()(64bit) for package: pcp-3.10.6-2.el7.x86_64
--> Running transaction check
---> Package pcp-compat.x86_64 0:3.10.6-2.el7 will be installed
--> Processing Dependency: pcp-system-tools for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-zswap for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-weblog for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-unbound for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-trace for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-summary for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-shping for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-sendmail for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-rpm for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-roomtemp for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-postgresql for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-postfix for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-pdns for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-nvidia-gpu for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-nginx for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-nfsclient for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-news for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-netfilter for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-named for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-mysql for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-mounts for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-memcache for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-mailq for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-lustrecomm for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-lustre for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-logger for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-lmsensors for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-kvm for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-json for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-gpsd for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-gpfs for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-gluster for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-gfs2 for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-elasticsearch for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-ds389log for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-ds389 for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-dm for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-dbping for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-cisco for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-bonding for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-bash for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-apache for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-pmda-activemq for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-export-pcp2graphite for package: pcp-compat-3.10.6-2.el7.x86_64
--> Processing Dependency: pcp-doc for package: pcp-compat-3.10.6-2.el7.x86_64
---> Package pcp-libs.x86_64 0:3.10.6-2.el7 will be installed
--> Processing Dependency: pcp-conf = 3.10.6-2.el7 for package: pcp-libs-3.10.6-2.el7.x86_64
---> Package python-pcp.x86_64 0:3.10.6-2.el7 will be installed
--> Running transaction check
---> Package pcp-conf.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-doc.noarch 0:3.10.6-2.el7 will be installed
---> Package pcp-export-pcp2graphite.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-activemq.x86_64 0:3.10.6-2.el7 will be installed
--> Processing Dependency: perl-PCP-PMDA = 3.10.6-2.el7 for package: pcp-pmda-activemq-3.10.6-2.el7.x86_64
--> Processing Dependency: perl(JSON) for package: pcp-pmda-activemq-3.10.6-2.el7.x86_64
--> Processing Dependency: perl(Digest::MD5) for package: pcp-pmda-activemq-3.10.6-2.el7.x86_64
---> Package pcp-pmda-apache.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-bash.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-bonding.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-cisco.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-dbping.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-dm.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-ds389.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-ds389log.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-elasticsearch.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-gfs2.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-gluster.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-gpfs.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-gpsd.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-json.x86_64 0:3.10.6-2.el7 will be installed
--> Processing Dependency: python-jsonpointer for package: pcp-pmda-json-3.10.6-2.el7.x86_64
---> Package pcp-pmda-kvm.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-lmsensors.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-logger.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-lustre.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-lustrecomm.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-mailq.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-memcache.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-mounts.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-mysql.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-named.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-netfilter.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-news.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-nfsclient.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-nginx.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-nvidia-gpu.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-pdns.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-postfix.x86_64 0:3.10.6-2.el7 will be installed
--> Processing Dependency: postfix-perl-scripts for package: pcp-pmda-postfix-3.10.6-2.el7.x86_64
---> Package pcp-pmda-postgresql.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-roomtemp.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-rpm.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-sendmail.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-shping.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-summary.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-trace.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-unbound.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-weblog.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-pmda-zswap.x86_64 0:3.10.6-2.el7 will be installed
---> Package pcp-system-tools.x86_64 0:3.10.6-2.el7 will be installed
--> Running transaction check
---> Package perl-Digest-MD5.x86_64 0:2.52-3.el7 will be installed
--> Processing Dependency: perl(Digest::base) >= 1.00 for package: perl-Digest-MD5-2.52-3.el7.x86_64
---> Package perl-JSON.noarch 0:2.59-2.el7 will be installed
---> Package perl-PCP-PMDA.x86_64 0:3.10.6-2.el7 will be installed
---> Package postfix-perl-scripts.x86_64 2:2.10.1-6.el7 will be installed
--> Processing Dependency: perl(Date::Calc) for package: 2:postfix-perl-scripts-2.10.1-6.el7.x86_64
---> Package python-jsonpointer.noarch 0:1.9-2.el7 will be installed
--> Running transaction check
---> Package perl-Date-Calc.noarch 0:6.3-14.el7 will be installed
--> Processing Dependency: perl(Bit::Vector) >= 7.1 for package: perl-Date-Calc-6.3-14.el7.noarch
--> Processing Dependency: perl(Carp::Clan) for package: perl-Date-Calc-6.3-14.el7.noarch
--> Processing Dependency: perl(Bit::Vector) for package: perl-Date-Calc-6.3-14.el7.noarch
---> Package perl-Digest.noarch 0:1.17-245.el7 will be installed
--> Running transaction check
---> Package perl-Bit-Vector.x86_64 0:7.3-3.el7 will be installed
---> Package perl-Carp-Clan.noarch 0:6.04-10.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

===========================================================================================================================
 Package                           Arch             Version                    Repository                             Size
===========================================================================================================================
Installing:
 pcp                               x86_64           3.10.6-2.el7               rhel-7-server-rpms                    839 k
Installing for dependencies:
 pcp-compat                        x86_64           3.10.6-2.el7               rhel-7-server-rpms                     14 k
 pcp-conf                          x86_64           3.10.6-2.el7               rhel-7-server-rpms                     25 k
 pcp-doc                           noarch           3.10.6-2.el7               rhel-7-server-rpms                    3.8 M
 pcp-export-pcp2graphite           x86_64           3.10.6-2.el7               rhel-7-server-rpms                     17 k
 pcp-libs                          x86_64           3.10.6-2.el7               rhel-7-server-rpms                    279 k
 pcp-pmda-activemq                 x86_64           3.10.6-2.el7               rhel-7-server-rpms                     20 k
 pcp-pmda-apache                   x86_64           3.10.6-2.el7               rhel-7-server-rpms                     28 k
 pcp-pmda-bash                     x86_64           3.10.6-2.el7               rhel-7-server-rpms                     26 k
 pcp-pmda-bonding                  x86_64           3.10.6-2.el7               rhel-7-server-rpms                     16 k
 pcp-pmda-cisco                    x86_64           3.10.6-2.el7               rhel-7-server-rpms                     36 k
 pcp-pmda-dbping                   x86_64           3.10.6-2.el7               rhel-7-server-rpms                     16 k
 pcp-pmda-dm                       x86_64           3.10.6-2.el7               rhel-7-server-rpms                     23 k
 pcp-pmda-ds389                    x86_64           3.10.6-2.el7               rhel-7-server-rpms                     16 k
 pcp-pmda-ds389log                 x86_64           3.10.6-2.el7               rhel-7-server-rpms                     16 k
 pcp-pmda-elasticsearch            x86_64           3.10.6-2.el7               rhel-7-server-rpms                     19 k
 pcp-pmda-gfs2                     x86_64           3.10.6-2.el7               rhel-7-server-rpms                     35 k
 pcp-pmda-gluster                  x86_64           3.10.6-2.el7               rhel-7-server-rpms                     18 k
 pcp-pmda-gpfs                     x86_64           3.10.6-2.el7               rhel-7-server-rpms                     16 k
 pcp-pmda-gpsd                     x86_64           3.10.6-2.el7               rhel-7-server-rpms                     16 k
 pcp-pmda-json                     x86_64           3.10.6-2.el7               rhel-7-server-rpms                     29 k
 pcp-pmda-kvm                      x86_64           3.10.6-2.el7               rhel-7-server-rpms                     15 k
 pcp-pmda-lmsensors                x86_64           3.10.6-2.el7               rhel-7-server-rpms                     24 k
 pcp-pmda-logger                   x86_64           3.10.6-2.el7               rhel-7-server-rpms                     29 k
 pcp-pmda-lustre                   x86_64           3.10.6-2.el7               rhel-7-server-rpms                     17 k
 pcp-pmda-lustrecomm               x86_64           3.10.6-2.el7               rhel-7-server-rpms                     24 k
 pcp-pmda-mailq                    x86_64           3.10.6-2.el7               rhel-7-server-rpms                     23 k
 pcp-pmda-memcache                 x86_64           3.10.6-2.el7               rhel-7-server-rpms                     16 k
 pcp-pmda-mounts                   x86_64           3.10.6-2.el7               rhel-7-server-rpms                     23 k
 pcp-pmda-mysql                    x86_64           3.10.6-2.el7               rhel-7-server-rpms                     22 k
 pcp-pmda-named                    x86_64           3.10.6-2.el7               rhel-7-server-rpms                     16 k
 pcp-pmda-netfilter                x86_64           3.10.6-2.el7               rhel-7-server-rpms                     15 k
 pcp-pmda-news                     x86_64           3.10.6-2.el7               rhel-7-server-rpms                     17 k
 pcp-pmda-nfsclient                x86_64           3.10.6-2.el7               rhel-7-server-rpms                     22 k
 pcp-pmda-nginx                    x86_64           3.10.6-2.el7               rhel-7-server-rpms                     15 k
 pcp-pmda-nvidia-gpu               x86_64           3.10.6-2.el7               rhel-7-server-rpms                     27 k
 pcp-pmda-pdns                     x86_64           3.10.6-2.el7               rhel-7-server-rpms                     17 k
 pcp-pmda-postfix                  x86_64           3.10.6-2.el7               rhel-7-server-rpms                     17 k
 pcp-pmda-postgresql               x86_64           3.10.6-2.el7               rhel-7-server-rpms                     24 k
 pcp-pmda-roomtemp                 x86_64           3.10.6-2.el7               rhel-7-server-rpms                     29 k
 pcp-pmda-rpm                      x86_64           3.10.6-2.el7               rhel-7-server-rpms                     27 k
 pcp-pmda-sendmail                 x86_64           3.10.6-2.el7               rhel-7-server-rpms                     27 k
 pcp-pmda-shping                   x86_64           3.10.6-2.el7               rhel-7-server-rpms                     29 k
 pcp-pmda-summary                  x86_64           3.10.6-2.el7               rhel-7-server-rpms                     27 k
 pcp-pmda-trace                    x86_64           3.10.6-2.el7               rhel-7-server-rpms                     35 k
 pcp-pmda-unbound                  x86_64           3.10.6-2.el7               rhel-7-server-rpms                     19 k
 pcp-pmda-weblog                   x86_64           3.10.6-2.el7               rhel-7-server-rpms                     56 k
 pcp-pmda-zswap                    x86_64           3.10.6-2.el7               rhel-7-server-rpms                     16 k
 pcp-system-tools                  x86_64           3.10.6-2.el7               rhel-7-server-rpms                     97 k
 perl-Bit-Vector                   x86_64           7.3-3.el7                  rhel-7-server-rpms                    165 k
 perl-Carp-Clan                    noarch           6.04-10.el7                rhel-7-server-rpms                     26 k
 perl-Date-Calc                    noarch           6.3-14.el7                 rhel-7-server-rpms                    210 k
 perl-Digest                       noarch           1.17-245.el7               rhel-7-server-rpms                     23 k
 perl-Digest-MD5                   x86_64           2.52-3.el7                 rhel-7-server-rpms                     30 k
 perl-JSON                         noarch           2.59-2.el7                 rhel-7-server-rpms                     96 k
 perl-PCP-PMDA                     x86_64           3.10.6-2.el7               rhel-7-server-rpms                     53 k
 postfix-perl-scripts              x86_64           2:2.10.1-6.el7             rhel-7-server-optional-rpms            67 k
 python-jsonpointer                noarch           1.9-2.el7                  rhel-7-server-rpms                     13 k
 python-pcp                        x86_64           3.10.6-2.el7               rhel-7-server-rpms                    102 k

Transaction Summary
===========================================================================================================================
Install  1 Package (+58 Dependent packages)

Total download size: 6.7 M
Installed size: 17 M
Is this ok [y/d/N]: n    
Exiting on user command
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2015-12-21.13-30.rAgXK5.yumtx
[root@test /]# yum info pcp-compat
Loaded plugins: changelog, langpacks, product-id, search-disabled-repos, subscription-manager, verify, versionlock
Available Packages
Name        : pcp-compat
Arch        : x86_64
Version     : 3.10.6
Release     : 2.el7
Size        : 14 k
Repo        : rhel-7-server-rpms/7Server/x86_64
Summary     : Performance Co-Pilot (PCP) compat package for existing systems
URL         : http://www.pcp.io
License     : GPLv2+
Description : This package contains the PCP compatibility dependencies for existing PCP
            : installations.  This is not a package that should be depended on, and will
            : be removed in future releases.

[root@test /]# yum deplist pcp | grep compat
  dependency: pcp-compat
   provider: pcp-compat.x86_64 3.10.6-2.el7
Comment 2 Jan Pazdziora 2016-01-04 11:14:51 EST
One severe effect of this change is that postfix now gets pulled in as well, via pcp-compat requires pcp-pmda-postfix requires postfix-perl-scripts requires postfix dependency chain. On one machine I've seen that postfix enabled and running after reboot -- I need to investigate more why that happened but it definitely is a concern.
Comment 6 Miloš Prchlík 2016-08-20 12:14:47 EDT
Dependency tree looks good to me, verified for build pcp-3.11.3-3.el7.
Comment 8 errata-xmlrpc 2016-11-04 00:22:57 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2344.html

Note You need to log in before you can comment on or make changes to this bug.